Subject: Example dts file

From: Eddie Dawydiuk <[email-masked]>
Date: Fri, 17 Apr 2009 10:04:26 -0700

Hello,

I'm working on creating a dts file for a custom board based on the Yosemite AMCC 
440EP evaluation board. We have an FPGA connected to the PCI bus, and I'm a bit 
unsure how to describe this in the dts file. The FPGA implements an SD card 
core, RTC core, Nand core... Can anyone point me to an example dts file I can 
refer to?

I've read that I'm not required to describe every PCI device in the system. 
Although I'd like to eventually submit our changes for upstream support, so as 
far as I know I do need to specify all of these devices in the dts file, so 
drivers can parse the dts file to know what devices are present.

-- 
Best Regards,
________________________________________________________________
  Eddie Dawydiuk, Technologic Systems | voice:  (480) 837-5200
  16525 East Laser Drive 	     | fax:    (480) 837-5300
  Fountain Hills, AZ 85268            | web: www.embeddedARM.com